[song]
name = Mighty Mighty Man
artist = Roy Brown
album = Mighty Mighty Man (Single)
genre = Jump Blues
year = 1947
song_length = 145891
charter = 7777villain
diff_guitar = 2
preview_start_time = 79500
icon = csc
loading_phrase = "Mighty Mighty Man" was a term Roy Brown seemed to like a lot, as he used it in his first hit, "Good Rockin Tonight", and he would later call his backing group The Mighty Men.

